"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateItem = exports.deleteItem = exports.putItem = exports.getItem = void 0;
const aws_sdk_1 = require("aws-sdk");
const documentClient = new aws_sdk_1.DynamoDB.DocumentClient();
async function getItem(TableName, Key) {
    const { Item } = await documentClient.get({ TableName, Key }).promise();
    return Item;
}
exports.getItem = getItem;
async function putItem(TableName, Item) {
    await documentClient.put({ TableName, Item }).promise();
}
exports.putItem = putItem;
async function deleteItem(TableName, Key) {
    await documentClient.delete({ TableName, Key }).promise();
}
exports.deleteItem = deleteItem;
async function updateItem(TableName, Key, updateData) {
    await documentClient
        .update({
        Key,
        TableName,
        ...updateData,
    })
        .promise();
}
exports.updateItem = updateItem;
