import { UpdateData } from './DynamoDbClient';
export interface DynamoDbInterface {
    get: <T>(key: TableKey) => Promise<T | undefined>;
    put: <T extends TableKey>(item: T) => Promise<void>;
    delete: (key: TableKey) => Promise<void>;
    update: (key: TableKey, updateData: UpdateData) => Promise<void>;
}
export interface TableKey {
    partitionKey: string;
    sortKey: string;
}
