"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConnection = exports.exec = void 0;
const oracledb = __importStar(require("oracledb"));
const Errors_1 = require("../Errors");
const Lambda_1 = require("../Lambda");
const SecretsManager_1 = require("../SecretsManager");
async function exec(query) {
    const connection = await getConnection();
    if (!connection)
        throw new Errors_1.InternalServerError('Invalid connection');
    const options = { outFormat: oracledb.OUT_FORMAT_OBJECT };
    const result = await connection.execute(query, {}, options);
    await connection.close();
    return result.rows;
}
exports.exec = exec;
async function getConnection() {
    const { user, password } = await getDbCredentials();
    const connectString = Lambda_1.getEnvConfig('GC_DATABASE_CONNECT_STRING');
    return await oracledb.getConnection({ user, password, connectString });
}
exports.getConnection = getConnection;
let apiConfig;
async function getDbCredentials() {
    if (!apiConfig) {
        const secretName = Lambda_1.getEnvConfig('GC_DATABASE_SECRET_NAME');
        apiConfig = await SecretsManager_1.getSecret(secretName);
    }
    return apiConfig;
}
