"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildResourceRoutes = void 0;
function buildResourceRoutes(resource) {
    const resourceCollectionRoute = {
        path: resource.basePath,
    };
    const resourceRoute = {
        path: `${resource.basePath}/{id}`,
    };
    if (resource.list) {
        resourceCollectionRoute.get = resource.list;
    }
    if (resource.create) {
        resourceCollectionRoute.post = resource.create;
    }
    if (resource.get) {
        resourceRoute.get = resource.get;
    }
    if (resource.update) {
        resourceRoute.put = resource.update;
    }
    if (resource.delete) {
        resourceRoute.delete = resource.delete;
    }
    return [resourceCollectionRoute, resourceRoute];
}
exports.buildResourceRoutes = buildResourceRoutes;
